# Interface methods for submodule: GaussianExponentialDiffeomorphicTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ConstantVelocityFieldTransformProxy as _ConstantVelocityFieldTransformProxy


# Interface methods for class: GaussianExponentialDiffeomorphicTransform
class GaussianExponentialDiffeomorphicTransformProxy(_ConstantVelocityFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def GaussianSmoothConstantVelocityField(self, arg0, arg1: float):
		""""""
		...

	def SetGaussianSmoothingVarianceForTheConstantVelocityField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSmoothingVarianceForTheConstantVelocityField(self) -> float:
		""""""
		...

	def SetGaussianSmoothingVarianceForTheUpdateField(self, _arg: float) -> None:
		""""""
		...

	def GetGaussianSmoothingVarianceForTheUpdateField(self) -> float:
		""""""
		...

